﻿@using Application.Model;

@model List<TaskViewModel>
@{
    ViewData["Title"] = "Task List";
}

<div class="text-center">
    <h2 class="text-center">Task List</h2>
</div>
<div class="form-group text-center">
    <button type="button" onclick="location.href='@Url.Action("Form", "Task")'" class="btn action-btn mt-2">Create New Task</button>
</div>
<div class="conteiner">
    <div class="row">
        @foreach (var item in Model)
        {

            <div class="card" style="width: 18rem;">
                <div class="card-body">
                    <h4 class="card-title">@item.Project.Title</h4>
                    <h5 class="card-subtitle mb-2 text-muted">@item.Title</h5>
                    <p class="card-text">@item.Description</p>
                    <p class="card-text">@($"Developer: {item.User.Name}")</p>
                    <p class="card-text">@($"Create Date: {item.CreateDate?.ToString("dd/MM/yyyy")}")</p>
                    <p class="card-text">@($"Limit Date: {item.CompletionDate?.ToString("dd/MM/yyyy")}")</p>
                    <p class="card-text">@($"{Enum.GetName(typeof(Application.Enums.TaskStatusEnum), item.StatusId)}")</p>
                    <a href="@Url.Action("Edit", "Task", new { id = item.Id })" class="card-link">Edit Task</a>
                    <a href="@Url.Action("Delete", "Task", new { id = item.Id })" class="card-link">Delete Task</a>
                </div>
            </div>
        }
    </div>
</div>





